=== apps/CMakeLists.txt ===
SET( CATEGORY App )

ADD_SUBDIRECTORY( osgwbvv )
ADD_SUBDIRECTORY( osgwcaps )
ADD_SUBDIRECTORY( osgwcomp )
ADD_SUBDIRECTORY( osgwconv )
ADD_SUBDIRECTORY( osgwinfo )
ADD_SUBDIRECTORY( osgwnames )
ADD_SUBDIRECTORY( osgwnormalmap )
ADD_SUBDIRECTORY( osgwtri )
ADD_SUBDIRECTORY( osgwwhich )
