=== examples/CMakeLists.txt ===
SET( CATEGORY Example )

ADD_SUBDIRECTORY( msmrt )
ADD_SUBDIRECTORY( MxMovement )
ADD_SUBDIRECTORY( MxViewer )
ADD_SUBDIRECTORY( rtt )
