=== tests/CMakeLists.txt ===
SET( CATEGORY Test )

ADD_SUBDIRECTORY( amt )
ADD_SUBDIRECTORY( callbacksupport )
ADD_SUBDIRECTORY( cameraconfig )
ADD_SUBDIRECTORY( createlodvisitor )
ADD_SUBDIRECTORY( decimationdebugviewer )
ADD_SUBDIRECTORY( geometryop )
ADD_SUBDIRECTORY( insert )
ADD_SUBDIRECTORY( orientation )
ADD_SUBDIRECTORY( screencap )
ADD_SUBDIRECTORY( shapes )
ADD_SUBDIRECTORY( testnodepathutils )
ADD_SUBDIRECTORY( testqueryapi )
ADD_SUBDIRECTORY( testquerybenchmarks )
ADD_SUBDIRECTORY( testqueryguthe )
ADD_SUBDIRECTORY( testqueryobject )
ADD_SUBDIRECTORY( testuniqifier )
ADD_SUBDIRECTORY( testvisitors )
ADD_SUBDIRECTORY( testypr )
ADD_SUBDIRECTORY( transform )
# ADD_SUBDIRECTORY( testboundingsphere )
