=== apps/osgwbvv/CMakeLists.txt ===
MAKE_EXECUTABLE( osgwbvv
    osgwbvv.cpp
)
