=== apps/osgwcaps/CMakeLists.txt ===
MAKE_EXECUTABLE( osgwcaps
    osgwcaps.cpp
)
