=== apps/osgwcomp/CMakeLists.txt ===
MAKE_EXECUTABLE( osgwcomp
    osgwcomp.cpp
)
