=== apps/osgwconv/CMakeLists.txt ===
MAKE_EXECUTABLE( osgwconv
    osgwconv.cpp
)
