=== apps/osgwinfo/CMakeLists.txt ===
MAKE_EXECUTABLE( osgwinfo
    osgwinfo.cpp
)
