=== apps/osgwnames/CMakeLists.txt ===
MAKE_EXECUTABLE( osgwnames
    osgwnames.cpp
)
