=== debian/changelog ===
ros-melodic-uwsim-osgworks (3.0.3-2bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Sun, 10 Nov 2019 20:07:52 -0000
